%if 0%{?fedora}
%global with_python3 1
%endif

%{!?_licensedir: %global license %%doc}

%global modname pygments-markdown-lexer
%global sum     A Markdown lexer for Pygments to highlight Markdown code snippets

Name:               python-pygments-markdown-lexer
Version:            0.1.0.dev39
Release:            9%{?dist}
Summary:            %{sum}

# One file is BSD, the rest are ASL
# https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios
License:            ASL 2.0 and BSD
URL:                http://pypi.python.org/pypi/pygments-markdown-lexer
Source0:            https://pypi.python.org/packages/source/p/%{modname}/%{modname}-%{version}.zip
BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools
BuildRequires:      python2-pygments

%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-pygments
%endif

%description
%{sum}

%package -n python2-%{modname}
Summary:            %{sum}
%{?python_provide:%python_provide python2-%{modname}}

Requires:           python2-pygments

%description -n python2-%{modname}
%{sum}

%if 0%{?with_python3}
%package -n python3-%{modname}
Summary:            %{sum}
%{?python_provide:%python_provide python3-%{modname}}

Requires:           python3-pygments

%description -n python3-%{modname}
%{sum}
%endif

%prep
%autosetup -n %{modname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

# Well this is weird...
rm -rf %{buildroot}/usr/EGG-INFO

%files -n python2-%{modname}
%doc README.md
%license LICENSE
%{python2_sitelib}/pygments_markdown_lexer/
%{python2_sitelib}/pygments_markdown_lexer-%{version}*

%if 0%{?with_python3}
%files -n python3-%{modname}
%doc README.md
%license LICENSE
%{python3_sitelib}/pygments_markdown_lexer/
%{python3_sitelib}/pygments_markdown_lexer-%{version}-*
%endif

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0.dev39-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.0.dev39-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0.dev39-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0.dev39-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.0.dev39-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0.dev39-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Mar 28 2016 Ralph Bean <rbean@redhat.com> - 0.1.0.dev39-3
- Update setuptools dep for el7.

* Tue Mar 22 2016 Ralph Bean <rbean@redhat.com> - 0.1.0.dev39-2
- Update licensing info as per review.
- Drop el6 macros.

* Thu Mar 17 2016 Ralph Bean <rbean@redhat.com> - 0.1.0.dev39-1
- Initial package for Fedora
